package com.fjs.scenic.cyt.response;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetProductStockByOTAResponseBody", propOrder = { "productstockInfos", "status", "msg" })
public class GetProductStockByOTAResponseBody extends ResponseBody {
	
	  @XmlElement(required=true)
	  protected ProductstockInfos productstockInfos;
	  
	  @XmlElement(required=true)
	  protected Integer status; // 状态  500  失败  200 成功
	  
	  @XmlElement(required=true)
	  protected String msg; // 状态
	  
	  
	  
	  public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public GetProductStockByOTAResponseBody() {
			this.productstockInfos = new ProductstockInfos();
		}
	  
	public ProductstockInfos getProductstockInfos() {
		return productstockInfos;
	}


	public void setProductstockInfos(ProductstockInfos productstockInfos) {
		this.productstockInfos = productstockInfos;
	}

	@XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name="", propOrder={"productstockInfo"})
    public static class ProductstockInfos
    {

      @XmlElement(required=true)
      protected List<ProductstockInfo> productstockInfo;

      public ProductstockInfos()
      {
        this.productstockInfo = new ArrayList();
      }

      public List<ProductstockInfo> getProductstockInfo()
      {
        if (this.productstockInfo == null) {
          this.productstockInfo = new ArrayList();
        }
        return this.productstockInfo;
      }

      public void setProductstockInfo(List<ProductstockInfo> productstockInfo)
      {
        this.productstockInfo = productstockInfo;
      }
        @XmlAccessorType(XmlAccessType.FIELD)
	  	@XmlType(name = "", propOrder = { "starttime", "endtime", "surplus","substockId", "describe" })
	  	public static class ProductstockInfo {
	
	  		@XmlElement(required = true)
	  		protected String starttime; // 开始时间
	
	  		@XmlElement(required = true)
	  		protected String endtime; // 结束时间
	
	  		@XmlElement(required = true)
	  		protected String surplus; // 库存量
	  		@XmlElement(required = true)
	  		protected String substockId; // 分时库存Id
	  		@XmlElement(required = true)
	  		protected String describe; // 描述
	
	  		public ProductstockInfo() {
	  			this.starttime = "";
	  			this.endtime = "";
	  			this.surplus = "";
	  			this.substockId = "";
	  			this.describe = "";
	  		}
	
	  		
	  		public String getSubstockId() {
				return substockId;
			}


			public void setSubstockId(String substockId) {
				this.substockId = substockId;
			}


			public String getDescribe() {
				return describe;
			}


			public void setDescribe(String describe) {
				this.describe = describe;
			}


			public String getStarttime() {
	  			return starttime;
	  		}
	
	  		public void setStarttime(String starttime) {
	  			this.starttime = starttime;
	  		}
	
	  		public String getEndtime() {
	  			return endtime;
	  		}
	
	  		public void setEndtime(String endtime) {
	  			this.endtime = endtime;
	  		}
	
	  		public String getSurplus() {
	  			return surplus;
	  		}
	
	  		public void setSurplus(String surplus) {
	  			this.surplus = surplus;
	  		}
	
	  	}
    }
	
}